Bug 1750620 - dnf check-update not honouring versionlock
Summary: dnf check-update not honouring versionlock
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 8.0
Assignee: Marek Blaha
QA Contact: Jan Blazek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-10 05:44 UTC by Sandeep MJ
Modified: 2020-02-14 07:28 UTC (History)
6 users (show)

Fixed In Version: dnf-plugins-core-4.0.12-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4500231 None None None 2019-10-15 03:25:54 UTC

Description Sandeep MJ 2019-09-10 05:44:55 UTC
Description of problem:
dnf check-update still shows updates for a versionlocked package, returns 100

Version-Release number of selected component (if applicable):
dnf-4.0.9.2-5.el8.noarch

How reproducible:
Always

Steps to Reproduce:
1. 
# dnf versionlock add wget-1.19.5-7.el8.x86_64
Updating Subscription Management repositories.
Last metadata expiration check: 0:06:28 ago on Tue 10 Sep 2019 01:10:55 EDT.
Adding versionlock on: wget-0:1.19.5-7.el8.*

2.
# dnf check-update wget
Updating Subscription Management repositories.
Last metadata expiration check: 0:12:23 ago on Tue 10 Sep 2019 01:20:15 EDT.

wget.x86_64                   1.19.5-7.el8_0.1                   rhel-8-for-x86_64-appstream-rpms
# echo $?
100


Actual results:
# dnf check-update wget --quiet
wget.x86_64                   1.19.5-7.el8_0.1                   rhel-8-for-x86_64-appstream-rpms
# echo $?
100

Expected results:
# dnf check-update wget --quiet
# echo $?
0

Additional info:
Works fine on a RHEL 7 machine:

# yum check-update wget --quiet
# echo $?
0

Comment 8 Carl George 2020-01-23 22:41:40 UTC
This backport has been released in CentOS 8 Stream.

https://lists.centos.org/pipermail/centos-devel/2020-January/036500.html

Please test this and provide feedback if you're able.


Note You need to log in before you can comment on or make changes to this bug.